<?php

namespace Modules\Pp\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Pp\Entities\CustomerPlan;

class ProductionPlanController extends Controller
{
    //get production plans to date
   public function getProductionPlanToDate($from,$to){
       try{
           $plan=new CustomerPlan();
           $plan=CustomerPlan::whereBetween('trans_date',[$from,$to])->get();

           $responseBody = $this->responseBody(true, "Production plan", "Found", $plan);
       }
       catch(\Exception $ex){
            $responseBody = $this->responseBody(false, "Production plan", "error", $ex);

       }
       return response()->json(["data" => $responseBody]);
   }

   //responcebody
   private function responseBody($success, $name, $message, $result)
   {
       $body = [
           "success" => $success,
           "message" => $message,
           "name" => $name,
           "result" => $result
       ];
       return $body;
   }
}
